import { createRouter, createWebHistory } from 'vue-router'
import GanttView from '../views/GanttView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: '/gantt',
    },
    {
      path: '/gantt',
      name: 'gantt',
      component: GanttView
    },
    {
      path: '/tab',
      name: 'tab',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/OtherTab.vue')
    }
  ]
})

export default router
